PATCH
/
agents
/
{agentId}
Update an agent
curl --request PATCH \
  --url https://your_salambo_base_url/api/v1/agents/{agentId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "icon": "<string>",
  "commandContent": "<string>",
  "isActive": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "object": "<string>",
  "name": "<string>",
  "slug": "<string>",
  "is_active": true,
  "created_at": 123,
  "updated_at": 123,
  "description": "<string>",
  "icon": "<string>",
  "command_content": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agentId
string<uuid>
required

Body

application/json
name
string
Required string length: 1 - 100
description
string | null
Maximum string length: 500
icon
string | null
Maximum string length: 10
commandContent
string
isActive
boolean

Public active/inactive switch.

Response

Updated agent.

id
string<uuid>
required
object
string
required
Allowed value: "agent"
name
string
required
slug
string
required
is_active
boolean
required

Public active/inactive switch. Active agents can appear in the model list.

created_at
integer
required
updated_at
integer
required
description
string | null
icon
string | null
command_content
string